<template>
  <section class="h-100" style="background-color: #eee">
    <div class="container py-5 h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12">
          <div
            class="card card-registration card-registration-2"
            style="border-radius: 15px"
          >
            <div class="card-body p-0">
              <div class="row g-0">
                <div class="col-lg-8">
                  <div class="p-5">
                    <div
                      class="d-flex justify-content-between align-items-center mb-5"
                    >
                      <h1 class="fw-bold mb-0 text-black">Shopping Cart</h1>
                      <h6 class="mb-0 text-muted">
                        {{ cart.length }}
                        {{ cart.length > 1 ? 'products' : 'product' }}
                      </h6>
                    </div>
                    <hr class="my-4" />

                    <ProductItemCart
                      v-for="product in cart"
                      :key="product.id"
                      :product="product"
                    />
                    <div class="d-flex justify-content-between mb-5">
                      <h5 class="text-uppercase">Total price</h5>
                      <h5>{{ total_price }} €</h5>
                    </div>

                    <button
                      type="button"
                      class="btn btn-dark btn-block btn-lg"
                      data-mdb-ripple-color="dark"
                      @click="removeAllFromCart()"
                    >
                      Pay
                    </button>
                    <div class="pt-5">
                      <h6 class="mb-0">
                        <a @click="goToHome" class="text-body"
                          ><i class="fas fa-long-arrow-alt-left me-2"></i>Back
                          to shop</a
                        >
                      </h6>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script setup>
import { storeToRefs } from 'pinia'
import ProductItemCart from '@/components/ProductItemCart.vue'
import { useCartStore } from '@/stores/cart'
import { computed } from 'vue'
import router from '@/router'
const cartStore = useCartStore()
const { cart } = storeToRefs(cartStore)
const { removeAllFromCart } = cartStore
const total_price = computed(() => {
  let price = 0
  cart.value.forEach((element) => {
    price += element.price * element.qty
  })
  return price
})
const goToHome = () => {
  router.push(`/`)
}
</script>

<style lang="scss" scoped>
.text-body {
  cursor: pointer;
}
</style>
